Web lists-archives.com

Re: [Samba] Upgrade Samba 4.2 to 4.6




Hi Marcio,

Am 30.04.2017 um 07:37 schrieb Marcio Demetrio Bacci via samba:
I have two DC's with Samba 4.2.1 (primary DC) and 4.2.3 (secondary DC). I
have installed Samba 4 from the source code (configure,make,make install).
I'm using rfc 2307.

How can I update to Samba 4.6.3 version ?

See: https://wiki.samba.org/index.php/Updating_Samba



Is the same strucure samba 4.6 version and samba 4.2?  Is there any
incompatibility?

Depents on what do you mean by incompatiblity. A lot of changes were made since the 2 years 4.2 was released. Some defaults have been changed, new features were introduced that may change some behaviour in your envirionment, etc.

The most notable changes are listed on the "Updating Samba" page. Additionally, read the x.y.0 release notes of all versions you skip to make sure that there aren't some more changes that affect your environment.

Everything important is described on this page.



Regards,
Marc


PS: In an AD, there is no primary|secondary DC. Just call them DC. :-)

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba